from django.db.models import base
from rest_framework import urlpatterns
from apps.inm.views import FIFOItemViewSet, FIFOViewSet, IProductViewSet, MaterialBatchViewSet, WarehouseViewSet,InventoryViewSet
from django.urls import path, include
from rest_framework.routers import DefaultRouter

router = DefaultRouter()
router.register('warehouse', WarehouseViewSet, basename='warehouse')
router.register('inventory', InventoryViewSet, basename='inventory')
router.register('materialbatch', MaterialBatchViewSet, basename='materialbatch')
router.register('fifo', FIFOViewSet, basename='fifo'),
router.register('fifoitem', FIFOItemViewSet, basename='fifoitem')
router.register('iproduct', IProductViewSet, basename='iproduct')
urlpatterns = [
    path('', include(router.urls)),
]

